﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using MSDN.Hadoop.MapReduceBase;

namespace WordCount
{
    public class WordCountMapper : MapperBaseText<int>
    {
        private static readonly Regex Regex = new Regex("[a-zA-Z]+");
        public override IEnumerable<Tuple<string, int>> Map(string value)
        {
            return from Match match in Regex.Matches(value) select new Tuple<string, int>(match.Value.ToLower(), 1);
        }
    }
}
